using System;

internal sealed class Delegate867 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate867 delegate867_1)
	{
		return delegate867_1(object_0);
	}

	public extern Delegate867(object object_0, IntPtr intptr_0);

	static Delegate867()
	{
		Class10.smethod_13(typeof(Delegate867).TypeHandle);
	}

	internal static Delegate867 delegate867_0;
}
